Advertisers
List Advertisers
get
/advertisers
Query Parameters
| limit int |
The number of items returned in the response. Defaults to 100. |
| offset int |
The number of items to skip before starting to return results. Defaults to 0. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/advertisers"
-H "Authorization: Bearer {api_key}"
-H "Authorization: Bearer {api_key}"
HTTP 200 Example Response
Get a single advertiser
get
/advertiser/{id}
Query Parameters
| id int, required |
The ID of the advertiser. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/advertiser/{id}"
-H "Authorization: Bearer {api_key}"
-H "Authorization: Bearer {api_key}"
HTTP 200 Example Response
Create an Advertiser
post
/advertisers
Request Body (JSON)
| name string, required |
The name of the advertiser. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/advertisers"
-X POST
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My Advertiser"
}'
-X POST
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My Advertiser"
}'
HTTP 201 Example Response
Update an Advertiser
put
/advertisers/{id}
Path Parameters
| id int, required |
The ID of the advertiser. |
Request Body (JSON)
| name string, required |
The name of the advertiser. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/advertisers/{id}"
-X PUT
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My Advertiser"
}'
-X PUT
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My Advertiser"
}'
HTTP 204 Example Response
Delete an Advertiser
delete
/advertisers/{id}
Path Parameters
| id int, required |
The ID of the advertiser. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/advertisers/{id}"
-X DELETE
-H "Authorization: Bearer {api_key}"
-X DELETE
-H "Authorization: Bearer {api_key}"
HTTP 204 Example Response
